---
title: SVGTSpanElement
slug: Web/API/SVGTSpanElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGTSpanElement</code></strong> interface represents a {{SVGElement("tspan")}} element.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't provide any specific properties, but inherits the properties from its parent, {{domxref("SVGTextPositioningElement")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't provide any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#InterfaceSVGTSpanElement", "SVGTSpanElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGTSpanElement", "SVGTSpanElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTSpanElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("tspan")}} SVG Element</li>
</ul>
